import { MongoClient } from "mongodb";
import config from '../../../config.json'

const uri = config.MONGODB_URI;
const dbName = config.MONGODB_DB;
const options = {};

const mongo = new MongoClient(uri, options);

export const connect = async () => {
    await mongo.connect();
    // return mongo.db(dbName);
}

export const disconnect = async () => {
    mongo.close();
}

export const getDB = async () => {
    await connect();
    return mongo.db(dbName);
}

export const Users = async () => {
    const db = await getDB();
    return db.collection('users');
}

export const AccessTokens = async () => {
    const db = await getDB();
    return db.collection('accessTokens');
}

export const Planets = async () => {
    const db = await getDB();
    return db.collection('planets');
}