import type Resource from "../../types/Resource";
import type Resources from "../../types/Resources";

export default function calculateAvailableResources(userResources: Array<Resource>, buildingCost: Array<Resource>) {
    let canBuild = true;
    const resources = {} as Array<Resource>;

    userResources.forEach((userResource) => {
        const resource = buildingCost.find((buildingResource) => buildingResource.name === userResource.name);
        if (resource) {
            resources.push({
                name: userResource.name,
                amount: userResource.amount - resource.amount
            });
            if (userResource.amount < resource.amount) canBuild = false;
        }
    });

    return {
        canBuild,
        resources
    };
}