import type { ObjectId } from "mongodb";
import type Building from "./Building";
import type DBResource from "./DBResource";
import type Research from "./Research";
import type Ship from "./Ship";

export default interface User {
    _id: ObjectId;
    username: string;
    email: string;
    password: string;
    lastLogin: Date;
    resources: Array<DBResource>;
    buildings: Array<Building>;
    research: Array<Research>;
    ships: Array<Ship>
    createdAt: Date;
    updatedAt: Date;
}